
hci-dropdown {
  flex: 1 1 auto;

  form, .form-group {
    flex: 1 1 auto;
    margin-bottom: 0;
  }

  .select-container {
    display: flex;
    position: relative;
    width: 100%;
  }

  .select-container.readonly ul {
    background: #eee;
    cursor: not-allowed;
  }

  .select-input {
    display: flex;
    flex: 1 1 auto;
    list-style-type: none;
  }

  .select-input input {
    flex: 1 1 auto;
    border: none;
    outline: none;
  }

  .select-selected {
    display: flex;
    margin: 2px;
    float: left;
    list-style-type: none;
    font-size: 100%;
  }

  .multiple-selection .select-selected {
    padding: 4px;
  }

  .simple-selection .select-selected {
    border: none;
    width: 100%;
    padding-left: 5px;
    padding-top: 1px;
  }

  .simple-selection input {
    border: none;
    outline: none;
    float: left;
    position: absolute;
    left: 9px;
    background: transparent;
  }

  .simple-selection a.select-selection-remove {
    z-index: 2;
  }

  .select-selection-container {
    display: block;
    overflow: hidden;
    background-clip: border-box;
    background-attachment: scroll;
    height: inherit;
    padding: 0.125rem;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }

  .select-selection-container:hover {
    cursor: text;
  }

  .select-selection-remove {
    color: var(--grey-darkest);
    margin-left: 0.375rem;
  }

  .select-selection-remove:hover {
    color: var(--grey-lightest);
    cursor: pointer;
  }

  .select-container .search-focused {
    outline: 0;
    border-color: #66afe9;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6);
  }

  .select-container ul {
    position: relative;
    margin-bottom: 0;
    height: 2rem;
    padding: 0.15rem 0.15rem;
  }

  .simple-selection.search-focused .selected-item-text {
    display: none;
  }

  .simple-selection.search-focused input.hideable {
    opacity: 1;
  }

  .simple-selection input.hideable {
    opacity: 0;
  }

  .search {
    color: var(--bluewarmvivid-darkest);
    position: absolute;
    right: 7px;
    top: 10px;
    font-size: 12px;
  }

  .results-msg {
    background: whitesmoke;
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
    color: var(--grey-lightest);
    display: block;
    font-style: italic;
    font-size: 0.9em;
    margin: -12px 0 10px;
    padding: 5px;
  }

  .no-results-msg {
    border-bottom: 1px solid #66afe9;
    border-color: #66afe9;
    outline: 0;
  }

  .results-container {
    position: absolute;
    flex-direction: column;
    margin-top: 10px;
    width: 100%;
    z-index: 3;
  }

  .requestInProgress {
    background: lightgray;
  }

  .icon-drop-menu {
    background: linear-gradient(to bottom, #fff 0, #e2e2e2 100%);
    border-color: #ccc;
    border-radius: 3.01px;
    border-style: solid;
    border-width: 1px;
    color: var(--black-darkest);
    cursor: pointer;
    font-size: 14px;
    font-family: inherit;
    font-variant: normal;
    line-height: 20px;
    text-decoration: none;
    text-shadow: 0 1px 0 white;
    vertical-align: baseline;
    box-sizing: border-box;
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
    right: 1px;
    width: 27px;
  }

  .icon-drop-menu:after {
    border: 4px solid transparent;
    border-top-color: #000;
    bottom: 50%;
    content: "";
    height: 0;
    margin-top: -2px;
    margin-left: -4px;
    margin-bottom: -5px;
    position: absolute;
    right: 8px;
    width: 0;
  }

  .icon-drop-menu:active {
    background: #ccc;
    background-image: none;
    box-shadow: inset 0 3px 6px rgba(0, 0, 0, 0.1);
    text-shadow: none;
    text-decoration: none;
  }

  .icon-drop-menu:hover {
    border-color: #ccc;
  }

  .select-results-container {
    flex-direction: column;
    border: 1px solid #ccc;
    width: 100%;
    max-height: 200px;
    overflow-y: auto;
    position: absolute;
    background: #fff;
    margin-top: -11px;
    z-index: 3;
  }

  .select-result {
    flex-shrink: 0;
    padding: 0.25rem;
    position: relative;
    width: 100%;
  }

  .select-result:hover {
    cursor: pointer;
  }

  .active {
    background: #337ab7;
    color: var(--white-lightest);
  }

  .selected {
    background: #ccc;
    color: var(--black-darkest);
  }

  .label {
    display: inline;
    font-weight: 200;
    line-height: 1;
    color: var(--white-lightest);
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
  }

  .label-info {
    background-color: #5bc0de;
  }

  .icon-drop-menu {}

  .icon-drop-menu:hover {
    background-color: #8c8c8c;
    border-color: #ccc;
  }
}
